function display(ab)
% display(ab): the display function for the adaBooster classifier class.

disp('AdaBooster Classifier');
if isnan(ab.thresh),
    disp('  classifier is not trained');
else
    disp('  classifier is trained, the learnt paramters are:\n');
    if isnan(ab.detectionRate)
        fprintf('\tNo target detection rate was specified\n');
    else
        fprintf('\tTarget detection rate = %f\n', ab.detectionRate);
    end
    fprintf('\tThreshold = %f\n', ab.thresh);
    fprintf('\tNumber of stages = %d\n', length(ab.clsWeights));
    for i = 1:length(ab.clsWeights)
        fprintf('* Stage # %d\n', i);
        disp('------------')
        fprintf('+ Weight = %f\n', ab.clsWeights(i));
        display(ab.trndCls{i});
    end
end