function [outs, prop] = computeOutputs(cl, examples)
% function [outs] = computeOutputs(cl, examples)
%   computes the classification outputs for the given examples
% 
%   Inputs:
%       cl : trained classifier
%       examples : data instances (number of instance X number of features)
%
%   Outputs:
%       outs : predicted classes
%       prob : probability of each instance to belong to predicted class

if ~cl.isTrained
    error('Decision Tree Classifier is not trained');
end

%% Handle Cell Arrays
if iscell(examples),
    examples = cell2mat(examples);
end

%%TODO: remove acc output
acc = NaN;

%% Compute Outs
[outs, prop] = cl.trainedCl.predict(examples);

