function [cl] = Classifier(nc)
% function [cl] = classifier(pos, neg)
% constructor for the classifier class
%   The classifier class is a base class for all classifier. It declares
%   the interface for any classifer. All the methods are to implemented by
%   the descendent classifier classes
%
%   Inputs:
%       nc: number of classes

if nargin == 0
    cl.numClasses = 2;
    cl.posVal = 2;
    cl.negVal = 1;
elseif nargin == 1
    cl.numClasses = nc;
    if nc == 2
        cl.posVal = 2;
        cl.negVal = 1;
    else
        cl.posVal = NaN;
        cl.negVal = NaN;
    end
else
    error('Wrong number of arguments');
end

cl = class(cl, 'Classifier');
