function [cl, clErr] = learn(cl, trainingExamples, targetOuts, wts)
% function [cl, err] = learn(cl, trainingExamples, targetOuts)
%   learning function for the classifier
%
%   Inputs:
%       trainingExamples: examples for training the classifier.
%       targetOuts: target classification outputs. its size must be the
%           same as the number of examples.
%       wts: weights of training examples (used to compute the weighted
%           classification error)
%   Outputs:
%       selCl: trained selectClassifier
%       clErr: classification error of the trained classifier

error('''learn'' function must be implemented by the inheriting class');