function [outs, prop] = computeOutputs(cl, examples)
% function [outs] = computeOutputs(cl, examples)
%   computes the classification outputs for the given examples

if ~cl.isTrained
    error('Decision Tree Classifier is not trained');
end

%% Hanlde Global Training Examples if Defined
global trainingExamples
if isempty(examples),
    if isempty(trainingExamples),
        outs = [];
        return;
    else
        if nargin < 3,
            examples = trainingExamples;
        else
            if iscell(trainingExamples),
                examples = trainingExamples(indxs);
            else
                examples = trainingExamples(indxs, :);
            end
        end
    end
else
    if isempty(trainingExamples),
        clear global trainingExamples
    else
        clear trainingExamples
    end
end

%% Handle Cell Arrays
if iscell(examples),
    examples = cell2mat(examples);
end

%% Compute Outs
[outs, prop] = cl.trainedCl.predict(examples);

