function [outs, realOuts] = computeOutputs(lb, examples, extraArg)
% function [outs] = computeOutputs(ab, examples)
%   computes the classification outputs of logit Boost for the given examples
%
%   Inputs:
%       examples: set of example patterns to be classified
%       extraArg: an extra argument to be used if needed

if isnan(lb.thresh) && ~lb.perfect
    error('Logit Boost classifier has not been trained');
end

if nargin == 1
    error('incorrect number of arguments');
end

Fvalues = [examples ones(size(examples,1),1)] * (lb.F)';
[~,outs] = max(Fvalues,[],2);
realOuts = Fvalues;
