function saveToFid(cl, fid)
%SAVETOFID Saves RealAdaBoost classifier to a binary file
%   Inputs:
%       cl : svm classifier
%       fid : file descriptor
%
%   Note : weak classifier must support saveToFild method

%% write weak classifier name
data = serialize(class(cl.weakCl));
dataSize = size(data, 1);

%write weak classifier name length
if fwrite(fid, uint16(dataSize), 'uint16') ~= 1
    error('Error writing to file\n');
end

% write weights
if fwrite(fid, data, 'uint8') ~= dataSize
     error('Error writing to file\n');
end

%% write err bound
if fwrite(fid, cl.errBound, 'double') ~= 1
    error('Error writing to file\n');
end
%% write untrained weak classifier
saveToFid(cl.weakCl, fid);
%% write trained weak classifiers
% write length of trained classifiers
if fwrite(fid, length(cl.trndCls), 'uint16') ~= 1
    error('Error writing to file\n');
end

% write classifier data
for i = 1:length(cl.trndCls)
    saveToFid(cl.trndCls{i}, fid)
end

%% write number of stages
if fwrite(fid, cl.nStages, 'uint16') ~= 1
    error('Error writing to file\n');
end

%% write last instances weights
data = serialize(cl.lastExWeights);
dataSize = size(data, 1);

% write length of weights
if fwrite(fid, uint16(dataSize), 'uint16') ~= 1
    error('Error writing to file\n');
end

% write weights
if fwrite(fid, data, 'uint8') ~= dataSize
     error('Error writing to file\n');
end
%% write cls weights
data = serialize(cl.clsWeights);
dataSize = size(data, 1);

% write length of weights
if fwrite(fid, uint16(dataSize), 'uint16') ~= 1
    error('Error writing to file\n');
end

% write weights
if fwrite(fid, data, 'uint8') ~= dataSize
     error('Error writing to file\n');
end
%% write threshold
if fwrite(fid, cl.thresh, 'double') ~= 1,
    error('Error writing to file\n');
end
%% write detection rate
if fwrite(fid, cl.detectionRate, 'double') ~= 1,
    error('Error writing to file\n');
end
