function [svmCl] = SVMClassifier(nc, libSvmTrnOpts, libSvmPrdOpts)
% function [svmCl] = SVMClassifier
% constructor for the SVMClassifier class
%
%   Inputs:
%       nc: number of classes
%       libSVMopts: string of libsvm options

if nargin == 0 || isempty(nc)
    nc = 2;
end
if nargin < 2 || isempty(libSvmTrnOpts)
    libSvmTrnOpts = '-q';
else
    libSvmTrnOpts = [libSvmTrnOpts ' -q'];
end

if nargin < 3 || isempty(libSvmPrdOpts)
    libSvmPrdOpts = '-q';
else
    libSvmPrdOpts = [libSvmPrdOpts ' -q'];
end

svmCl.trainedSVM = NaN;
svmCl.libSvmTrnOpts = libSvmTrnOpts;
svmCl.libSvmPrdOpts = libSvmPrdOpts;

svmCl = class(svmCl, 'SVMClassifier', Classifier(nc));
