function saveToFid( cl, fid )
%SAVETOFID Saves Svm classifier to a binary file
%   Inputs:
%       cl : svm classifier
%       fid : file descriptor

%% Write number of classes
if fwrite(fid, getNumClasses(cl), 'uint16') ~= 1
    error('Error writing to file\n');
end

%% Write classifier object

%convert any sparse vector to full vector
%TODO: modify libserialize to allow sparse values
if isstruct(cl.trainedSVM)
    cl.trainedSVM.SVs = full(cl.trainedSVM.SVs);
end

data = serialize(cl.trainedSVM);
dataSize = size(data, 1);

% write length of classifier first
if fwrite(fid, dataSize, 'uint16') ~= 1
    error('Error writing to file\n');
end

% write classifier object
if fwrite(fid, data, 'uint8') ~= dataSize
     error('Error writing to file\n');
end

%% Write libsvm trainig parameters

data = serialize(cl.libSvmTrnOpts);
dataSize = size(data, 1);

% write length of libsvm training options
if fwrite(fid, uint16(dataSize), 'uint16') ~= 1
    error('Error writing to file\n');
end

% write training parameters
if fwrite(fid, data, 'uint8') ~= dataSize
     error('Error writing to file\n');
end

%----------------------------------

data = serialize(cl.libSvmPrdOpts);
dataSize = size(data, 1);

% write length of libsvm testing options
if fwrite(fid, uint16(dataSize), 'uint16') ~= 1
    error('Error writing to file\n');
end

% write training parameters
if fwrite(fid, data, 'uint8') ~= dataSize
     error('Error writing to file\n');
end


end

