function [rg] = learn(rg, dataset, targets, weights)
%   learning function for LSRegressor
%
%   Inputs:
%       reg : regressor instance
%       dataset: examples for training the regressor.
%       targets: target regressor output
%       weights: data points weights
%
%   Outputs:
%       reg: trained regressor


rg.svmModel = svmtrain(weights, targets, dataset,'-s 3 -t 0 -q 1');

rg.weights = (rg.svmModel.sv_coef' * full(rg.svmModel.SVs));
rg.weights = [rg.weights  -rg.svmModel.rho];

